Set a private List value
PUT
Set a typed private value for a current permitted member, or send null to clear it. Requires the List version and member-read scope. Does not change the Record.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
column_id*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidlist_id*stringMatch
^list_[0-7][0-9A-HJKMNP-TV-Z]{25}$member_id*|Idempotency-Key*stringLength
8 <= length <= 200SMB-Workspace-Id*stringFormat
uuidapplication/json- body
value*||||||nullexpected_version*SmbV0OperationsDeleteWorkspaceFieldRequestExpectedVersionRange
0 < value <= 9007199254740991Successful authorized response.
application/json- response
data*request_id*stringaction_receipt*idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16curl -X PUT 'https://example.com/v1/lists/string/entries/string/values/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: stringst' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "value": { "value_type": "text", "value": "string" }, "expected_version": 1}'{ "data": { "member_id": "string", "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d", "value": { "value_type": "text", "value": "string" }, "projection": "public", "list_id": "string", "version": 1 }, "request_id": "string", "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "set_list_entry_value", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true}